Bug 1125322 - smart repository naming in anaconda
Summary: smart repository naming in anaconda
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 14:55 UTC by Tomas Capek
Modified: 2015-03-23 07:10 UTC (History)
4 users (show)

Fixed In Version: anaconda-22.20.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-23 07:10:54 UTC


Attachments (Terms of Use)

Description Tomas Capek 2014-07-31 14:55:59 UTC
Steps to Reproduce:
1. Go to Installation Source spoke
2. Click "+". 
3. Set up the repo however you like but leave the default name
4. Click "+" again


Actual results:

Duplicate name error.

Expected results:

Anaconda should recognize that the user chose not to rename the new repo and create "New_Repository_2"

From the usability point of view, the installer can easily resolve a duplicate name by adding a suffix to the new one instead of startling the user with error messages.

This new behavior could be applied to names other than the default. To make sure that the user knows when a suffix is added to a name, a notification message could appear, saying e.g.:

" Repository 'XY' already exists. 'XY_2' created instead. "

This notification would be for information only and would not block the user from exiting the spoke.

Comment 1 Jaroslav Reznik 2015-03-03 16:10:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Update System 2015-03-17 18:42:37 UTC
anaconda-22.20.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/anaconda-22.20.5-1.fc22

Comment 3 Fedora Update System 2015-03-18 10:39:34 UTC
Package anaconda-22.20.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4126/anaconda-22.20.5-1.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-03-19 18:21:35 UTC
anaconda-22.20.6-1.fc22, python-blivet-1.0.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-blivet-1.0.5-1.fc22,anaconda-22.20.6-1.fc22

Comment 5 Fedora Update System 2015-03-19 18:40:28 UTC
Package anaconda-22.20.5-1.fc22, python-blivet-1.0.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.5-1.fc22 python-blivet-1.0.4-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4126/python-blivet-1.0.4-1.fc22,anaconda-22.20.5-1.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-23 07:10:54 UTC
anaconda-22.20.6-1.fc22, python-blivet-1.0.5-1.fc22, libblockdev-0.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.